Package com.mckoi.database.global

## Class TypeUtil

- java.lang.Object
- - com.mckoi.database.global.TypeUtil

    public class TypeUtil
    extends java.lang.Object

Utility for converting to and from 'Types' objects.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`TypeUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Class` `toClass​(int type)` Converts from a db type to a Class object.
`static int` `toDBType​(java.lang.Class clazz)` Converts from a Class object to a type as specified in Types.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeUtil

    public TypeUtil()

### Method Detail

#### toDBType

    public static int toDBType​(java.lang.Class clazz)

Converts from a Class object to a type as specified in Types.

#### toClass

    public static java.lang.Class toClass​(int type)

Converts from a db type to a Class object.